<template>
  <div id="nav">
    <v-row>
      <v-col v-for="link in links" :md="(12/links.length)" cols="12" :key="link.id" class="text--primary">
        <router-link :to="link.target" v-if="link.local" :target="link.new_tab ? 'blank' : 'self'">{{link.name}}</router-link>
        <a :href="link.target" v-if="!link.local" :target="link.new_tab ? 'blank' : 'self'">{{link.name}}</a>
      </v-col>
    </v-row>
  </div>
</template>

<script>
  export default {
    name: "Navigation",
    data: () => ({
      links: [
        {
          id: "projects",
          name: "Projects",
          icon: undefined,
          target: "/projects",
          local: true,
          new_tab: false
        },
        {
          id: "about",
          name: "About",
          icon: undefined,
          target: "/about",
          local: true,
          new_tab: false
        },
        {
          id: "3d-printing",
          name: "3D-Printing",
          icon: undefined,
          target: "/3d-printing",
          local: true,
          new_tab: false
        },
        {
          id: "source_code",
          name: "View source code",
          icon: undefined,
          target: "https://gitlab.com/sgart",
          local: false,
          new_tab: true
        }
      ]
    })
  }
</script>

<style lang="scss">
#nav {
  padding: 30px;

  a {
    font-weight: bold;
    color: #2c3e50;

    &.router-link-exact-active {
      color: #42b983;
    }
  }
}
</style>